Skip to main content
GET
/
screenings
/
{screeningPublicId}
/
packaging
Get packagings for a screening
curl --request GET \
  --url https://api.maalbar.dk/v1/screenings/{screeningPublicId}/packaging \
  --header 'X-Api-Key: <api-key>'
[
  {
    "publicId": "<string>",
    "label": "<string>",
    "functionalUnitValue": 123,
    "productionWaste": 123,
    "recycleShare": 123,
    "item": {
      "publicId": "<string>",
      "category": {
        "name": "<string>"
      },
      "displayName": "<string>"
    },
    "screeningMaterialMasterBox": {
      "publicId": "<string>"
    },
    "screeningMaterialPackaging": {
      "publicId": "<string>",
      "width": 123,
      "height": 123,
      "depth": 123,
      "amount": 123
    },
    "screeningMaterialMaterials": [
      {
        "publicId": "<string>",
        "locationListItem": {
          "publicId": "<string>",
          "name": "<string>"
        },
        "proportion": 123,
        "recycleShare": 123
      }
    ],
    "screeningMaterialProcesses": [
      {
        "publicId": "<string>",
        "proportion": 123,
        "productionWaste": 123
      }
    ]
  }
]

Authorizations

X-Api-Key
string
header
required

Path Parameters

screeningPublicId
string
required

Response

Successful response

publicId
string
required
Required string length: 16
Example:

"screeningMaterial_xxxxxxxxxxxx"

label
string | null
required
functionalUnitValue
number | null
required
productionWaste
number | null
required
recycleShare
number | null
required
item
object
required
screeningMaterialMasterBox
object
required
screeningMaterialPackaging
object
required
screeningMaterialMaterials
object[]
required
screeningMaterialProcesses
object[]
required